Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module
Class ModuleRTC

    java.lang.Object
      dioscuri.module.AbstractModule
          dioscuri.module.ModuleRTC

All Implemented Interfaces:
  Addressable, Module

Direct Known Subclasses:
  RTC

    public abstract class ModuleRTC

extends AbstractModule
implements Addressable

Abstract class representing a generic RTC module.

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Field Summary

Fields inherited from class dioscuri.module.AbstractModule
`type`

Constructor Summary
`ModuleRTC()`

Method Summary
`abstract byte` | `getCMOSRegister(int register)` Return requested CMOS register
`abstract void` | `setCMOSRegister(int register, byte value)` Set given CMOS register with value
`abstract void` | `updateClock()` Update clock Increment the clock value

Methods inherited from class dioscuri.module.AbstractModule
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface dioscuri.interfaces.Addressable
`getIOPortByte, getIOPortDoubleWord, getIOPortWord, setIOPortByte, setIOPortDoubleWord, setIOPortWord`

Methods inherited from interface dioscuri.interfaces.Module
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Constructor Detail

### ModuleRTC

    public ModuleRTC()

Method Detail

### getCMOSRegister

    public abstract byte getCMOSRegister(int register)

  Return requested CMOS register

  Parameters:
    `register` -
  Returns:
    byte containing value of register

### setCMOSRegister

    public abstract void setCMOSRegister(int register,
                                         byte value)

  Set given CMOS register with value

  Parameters:
    `register` -
    `value` -

### updateClock

    public abstract void updateClock()

  Update clock Increment the clock value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD